# H323GatekeeperRequest Class Reference

`#include <gkserver.h>`

Inheritance diagram for H323GatekeeperRequest:

[legend]
Collaboration diagram for H323GatekeeperRequest:
[legend]

## Public Member Functions

virtual H323TransactionPDU * | CreateRIP (unsigned sequenceNumber, unsigned delay) const
virtual PBoolean | WritePDU (H323TransactionPDU &pdu)
PBoolean | CheckCryptoTokens ()
PBoolean | CheckGatekeeperIdentifier ()
PBoolean | GetRegisteredEndPoint ()
virtual PString | GetGatekeeperIdentifier () const =0
virtual unsigned | GetGatekeeperRejectTag () const =0
virtual PString | GetEndpointIdentifier () const =0
virtual unsigned | GetRegisteredEndPointRejectTag () const =0
virtual unsigned | GetSecurityRejectTag () const =0
H323GatekeeperListener & | GetRasChannel () const
Construction
| H323GatekeeperRequest (H323GatekeeperListener &rasChannel, const H323RasPDU &pdu)

## Data Fields

PSafePtr< H323RegisteredEndPoint > | endpoint

## Protected Attributes

H323GatekeeperListener & | rasChannel

## Constructor & Destructor Documentation

H323GatekeeperRequest::H323GatekeeperRequest | ( | H323GatekeeperListener & | rasChannel,
|  | const H323RasPDU & | pdu |
| ) |  |  |

Create a new gatekeeper server request.

## Member Function Documentation

PBoolean H323GatekeeperRequest::CheckCryptoTokens | ( |  | ) |

PBoolean H323GatekeeperRequest::CheckGatekeeperIdentifier | ( |  | ) |

virtual H323TransactionPDU* H323GatekeeperRequest::CreateRIP | ( | unsigned | sequenceNumber,
|  | unsigned | delay |
| ) |  |  | const`[virtual]`

Implements H323Transaction.

virtual PString H323GatekeeperRequest::GetEndpointIdentifier | ( |  | ) | const`[pure virtual]`

Implemented in H323GatekeeperGRQ, H323GatekeeperRRQ, H323GatekeeperURQ, H323GatekeeperARQ, H323GatekeeperDRQ, H323GatekeeperBRQ, H323GatekeeperLRQ, and H323GatekeeperIRR.

virtual PString H323GatekeeperRequest::GetGatekeeperIdentifier | ( |  | ) | const`[pure virtual]`

Implemented in H323GatekeeperGRQ, H323GatekeeperRRQ, H323GatekeeperURQ, H323GatekeeperARQ, H323GatekeeperDRQ, H323GatekeeperBRQ, H323GatekeeperLRQ, and H323GatekeeperIRR.

virtual unsigned H323GatekeeperRequest::GetGatekeeperRejectTag | ( |  | ) | const`[pure virtual]`

Implemented in H323GatekeeperGRQ, H323GatekeeperRRQ, H323GatekeeperURQ, H323GatekeeperARQ, H323GatekeeperDRQ, H323GatekeeperBRQ, H323GatekeeperLRQ, and H323GatekeeperIRR.

H323GatekeeperListener& H323GatekeeperRequest::GetRasChannel | ( |  | ) | const`[inline]`

PBoolean H323GatekeeperRequest::GetRegisteredEndPoint | ( |  | ) |

virtual unsigned H323GatekeeperRequest::GetRegisteredEndPointRejectTag | ( |  | ) | const`[pure virtual]`

Implemented in H323GatekeeperGRQ, H323GatekeeperRRQ, H323GatekeeperURQ, H323GatekeeperARQ, H323GatekeeperDRQ, H323GatekeeperBRQ, H323GatekeeperLRQ, and H323GatekeeperIRR.

virtual unsigned H323GatekeeperRequest::GetSecurityRejectTag | ( |  | ) | const`[pure virtual]`

Implemented in H323GatekeeperGRQ, H323GatekeeperRRQ, H323GatekeeperURQ, H323GatekeeperARQ, H323GatekeeperDRQ, H323GatekeeperBRQ, H323GatekeeperLRQ, and H323GatekeeperIRR.

virtual PBoolean H323GatekeeperRequest::WritePDU | ( | H323TransactionPDU & | pdu | ) | `[virtual]`

Reimplemented from H323Transaction.

## Field Documentation

PSafePtr<H323RegisteredEndPoint> H323GatekeeperRequest::endpoint

H323GatekeeperListener& H323GatekeeperRequest::rasChannel `[protected]`

The documentation for this class was generated from the following file:

- gkserver.h